diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packetbb.h ns-3.44/src/network/utils/packetbb.h
--- ns-3.43/src/network/utils/packetbb.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packetbb.h	2025-03-09 16:55:49.679372300 -0700
@@ -1914,8 +1914,8 @@
     void SetMultivalue(bool isMultivalue);
 
     /**
-     * \brief Tests whether or not this address TLV is "multivalue"
-     * \return whether this address TLV is multivalue or not.
+     * @brief Tests whether or not this address TLV is "multivalue"
+     * @return whether this address TLV is multivalue or not.
      */
     bool IsMultivalue() const;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-burst.h ns-3.44/src/network/utils/packet-burst.h
--- ns-3.43/src/network/utils/packet-burst.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-burst.h	2025-03-09 16:55:49.679372300 -0700
@@ -20,55 +20,55 @@
 class Packet;
 
 /**
- * \brief this class implement a burst as a list of packets
+ * @brief this class implement a burst as a list of packets
  */
 class PacketBurst : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     PacketBurst();
     ~PacketBurst() override;
     /**
-     * \return a copy the packetBurst
+     * @return a copy the packetBurst
      */
     Ptr<PacketBurst> Copy() const;
     /**
-     * \brief add a packet to the list of packet
-     * \param packet the packet to add
+     * @brief add a packet to the list of packet
+     * @param packet the packet to add
      */
     void AddPacket(Ptr<Packet> packet);
     /**
-     * \return the list of packet of this burst
+     * @return the list of packet of this burst
      */
     std::list<Ptr<Packet>> GetPackets() const;
     /**
-     * \return the number of packet in the burst
+     * @return the number of packet in the burst
      */
     uint32_t GetNPackets() const;
     /**
-     * \return the size of the burst in byte (the size of all packets)
+     * @return the size of the burst in byte (the size of all packets)
      */
     uint32_t GetSize() const;
 
     /**
-     * \brief Returns an iterator to the begin of the burst
-     * \return iterator to the burst list start
+     * @brief Returns an iterator to the begin of the burst
+     * @return iterator to the burst list start
      */
     std::list<Ptr<Packet>>::const_iterator Begin() const;
     /**
-     * \brief Returns an iterator to the end of the burst
-     * \return iterator to the burst list end
+     * @brief Returns an iterator to the end of the burst
+     * @return iterator to the burst list end
      */
     std::list<Ptr<Packet>>::const_iterator End() const;
 
     /**
      * TracedCallback signature for Ptr<PacketBurst>
      *
-     * \param [in] burst The PacketBurst
+     * @param [in] burst The PacketBurst
      */
     typedef void (*TracedCallback)(Ptr<const PacketBurst> burst);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-data-calculators.h ns-3.44/src/network/utils/packet-data-calculators.h
--- ns-3.43/src/network/utils/packet-data-calculators.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-data-calculators.h	2025-03-09 16:55:49.679372300 -0700
@@ -19,7 +19,7 @@
 {
 
 /**
- * \ingroup stats
+ * @ingroup stats
  *
  *  A stat for counting packets
  *
@@ -32,24 +32,24 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Increments the packet counter by one
      *
-     * \param path not used in this method
-     * \param packet not used in this method
+     * @param path not used in this method
+     * @param packet not used in this method
      */
     void PacketUpdate(std::string path, Ptr<const Packet> packet);
 
     /**
      * Increments the packet counter by one
      *
-     * \param path not used in this method
-     * \param packet not used in this method
-     * \param realto not used in this method
+     * @param path not used in this method
+     * @param packet not used in this method
+     * @param realto not used in this method
      */
 
     void FrameUpdate(std::string path, Ptr<const Packet> packet, Mac48Address realto);
@@ -64,7 +64,7 @@
 };
 
 /**
- * \ingroup stats
+ * @ingroup stats
  *
  * A stat for collecting packet size statistics: min, max and average
  *
@@ -77,24 +77,24 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Increments the packet stats by the size of the packet
      *
-     * \param path not used in this method
-     * \param packet packet size used to update stats
+     * @param path not used in this method
+     * @param packet packet size used to update stats
      */
     void PacketUpdate(std::string path, Ptr<const Packet> packet);
 
     /**
      * Increments the packet stats by the size of the packet
      *
-     * \param path not used in this method
-     * \param packet packet size used to update stats
-     * \param realto not used in this method
+     * @param path not used in this method
+     * @param packet packet size used to update stats
+     * @param realto not used in this method
      */
     void FrameUpdate(std::string path, Ptr<const Packet> packet, Mac48Address realto);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-probe.h ns-3.44/src/network/utils/packet-probe.h
--- ns-3.43/src/network/utils/packet-probe.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-probe.h	2025-03-09 16:55:49.679372300 -0700
@@ -37,41 +37,41 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     PacketProbe();
     ~PacketProbe() override;
 
     /**
-     * \brief Set a probe value
+     * @brief Set a probe value
      *
-     * \param packet set the traced packet equal to this
+     * @param packet set the traced packet equal to this
      */
     void SetValue(Ptr<const Packet> packet);
 
     /**
-     * \brief Set a probe value by its name in the Config system
+     * @brief Set a probe value by its name in the Config system
      *
-     * \param path config path to access the probe
-     * \param packet set the traced packet equal to this
+     * @param path config path to access the probe
+     * @param packet set the traced packet equal to this
      */
     static void SetValueByPath(std::string path, Ptr<const Packet> packet);
 
     /**
-     * \brief connect to a trace source attribute provided by a given object
+     * @brief connect to a trace source attribute provided by a given object
      *
-     * \param traceSource the name of the attribute TraceSource to connect to
-     * \param obj ns3::Object to connect to
-     * \return true if the trace source was successfully connected
+     * @param traceSource the name of the attribute TraceSource to connect to
+     * @param obj ns3::Object to connect to
+     * @return true if the trace source was successfully connected
      */
     bool ConnectByObject(std::string traceSource, Ptr<Object> obj) override;
 
     /**
-     * \brief connect to a trace source provided by a config path
+     * @brief connect to a trace source provided by a config path
      *
-     * \param path Config path to bind to
+     * @param path Config path to bind to
      *
      * Note, if an invalid path is provided, the probe will not be connected
      * to anything.
@@ -80,10 +80,10 @@
 
   private:
     /**
-     * \brief Method to connect to an underlying ns3::TraceSource with
+     * @brief Method to connect to an underlying ns3::TraceSource with
      * arguments of type Ptr<const Packet>
      *
-     * \param packet the traced packet
+     * @param packet the traced packet
      */
     void TraceSink(Ptr<const Packet> packet);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-socket-address.h ns-3.44/src/network/utils/packet-socket-address.h
--- ns-3.43/src/network/utils/packet-socket-address.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-socket-address.h	2025-03-09 16:55:49.679372300 -0700
@@ -21,9 +21,9 @@
 class NetDevice;
 
 /**
- * \ingroup address
+ * @ingroup address
  *
- * \brief an address for a packet socket
+ * @brief an address for a packet socket
  */
 class PacketSocketAddress
 {
@@ -31,83 +31,83 @@
     PacketSocketAddress();
 
     /**
-     * \brief Set the protocol
-     * \param protocol the protocol
+     * @brief Set the protocol
+     * @param protocol the protocol
      */
     void SetProtocol(uint16_t protocol);
 
     /**
-     * \brief Set the address to match all the outgoing NetDevice
+     * @brief Set the address to match all the outgoing NetDevice
      */
     void SetAllDevices();
 
     /**
-     * \brief Set the address to match only a specified NetDevice
-     * \param device the NetDevice index
+     * @brief Set the address to match only a specified NetDevice
+     * @param device the NetDevice index
      */
     void SetSingleDevice(uint32_t device);
 
     /**
-     * \brief Set the destination address
-     * \param address the destination address
+     * @brief Set the destination address
+     * @param address the destination address
      */
     void SetPhysicalAddress(const Address address);
 
     /**
-     * \brief Get the protocol
-     * \return the protocol
+     * @brief Get the protocol
+     * @return the protocol
      */
     uint16_t GetProtocol() const;
 
     /**
-     * \brief Get the device this address is bound to
-     * \return the device index
+     * @brief Get the device this address is bound to
+     * @return the device index
      */
     uint32_t GetSingleDevice() const;
 
     /**
-     * \brief Checks if the address is bound to a specified NetDevice
-     * \return true if the address is bound to a NetDevice
+     * @brief Checks if the address is bound to a specified NetDevice
+     * @return true if the address is bound to a NetDevice
      */
     bool IsSingleDevice() const;
 
     /**
-     * \brief Get the destination address
-     * \returns The destination address
+     * @brief Get the destination address
+     * @returns The destination address
      */
     Address GetPhysicalAddress() const;
 
     /**
-     * \returns a new Address instance
+     * @returns a new Address instance
      *
      * Convert an instance of this class to a polymorphic Address instance.
      */
     operator Address() const;
 
     /**
-     * \param address a polymorphic address
-     * \returns an Address
+     * @param address a polymorphic address
+     * @returns an Address
      * Convert a polymorphic address to an Mac48Address instance.
      * The conversion performs a type check.
      */
     static PacketSocketAddress ConvertFrom(const Address& address);
 
     /**
-     * \brief Convert an instance of this class to a polymorphic Address instance.
-     * \returns a new Address instance
+     * @brief Convert an instance of this class to a polymorphic Address instance.
+     * @returns a new Address instance
      */
     Address ConvertTo() const;
 
     /**
-     * \param address address to test
-     * \returns true if the address matches, false otherwise.
+     * @param address address to test
+     * @returns true if the address matches, false otherwise.
      */
     static bool IsMatchingType(const Address& address);
 
   private:
     /**
-     * \brief Return the Type of address.
-     * \return type of address
+     * @brief Return the Type of address.
+     * @return type of address
      */
     static uint8_t GetType();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-socket.cc ns-3.44/src/network/utils/packet-socket.cc
--- ns-3.43/src/network/utils/packet-socket.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-socket.cc	2025-03-09 16:55:49.679372300 -0700
@@ -397,7 +397,7 @@
     {
         Ptr<Packet> copy = packet->Copy();
         DeviceNameTag dnt;
-        dnt.SetDeviceName(device->GetTypeId().GetName());
+        dnt.SetDeviceName(NetDevice::GetTypeId().GetName());
         PacketSocketTag pst;
         pst.SetPacketType(packetType);
         pst.SetDestAddress(to);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-socket-client.cc ns-3.44/src/network/utils/packet-socket-client.cc
--- ns-3.43/src/network/utils/packet-socket-client.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-socket-client.cc	2025-03-09 16:55:49.679372300 -0700
@@ -47,7 +47,7 @@
                 MakeUintegerChecker<uint32_t>())
             .AddAttribute("Interval",
                           "The time to wait between packets",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&PacketSocketClient::m_interval),
                           MakeTimeChecker())
             .AddAttribute("PacketSize",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-socket-client.h ns-3.44/src/network/utils/packet-socket-client.h
--- ns-3.43/src/network/utils/packet-socket-client.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-socket-client.h	2025-03-09 16:55:49.679372300 -0700
@@ -23,9 +23,9 @@
 class Packet;
 
 /**
- * \ingroup socket
+ * @ingroup socket
  *
- * \brief A simple client.
+ * @brief A simple client.
  *
  * Sends packets using PacketSocket. It does not require (or use) IP.
  *
@@ -44,8 +44,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -54,14 +54,14 @@
     ~PacketSocketClient() override;
 
     /**
-     * \brief set the remote address and protocol to be used
-     * \param addr remote address
+     * @brief set the remote address and protocol to be used
+     * @param addr remote address
      */
     void SetRemote(PacketSocketAddress addr);
 
     /**
-     * \brief Query the priority value of this socket
-     * \return The priority value
+     * @brief Query the priority value of this socket
+     * @return The priority value
      */
     uint8_t GetPriority() const;
 
@@ -73,13 +73,13 @@
     void StopApplication() override;
 
     /**
-     * \brief Manually set the socket priority
-     * \param priority The socket priority (in the range 0..6)
+     * @brief Manually set the socket priority
+     * @param priority The socket priority (in the range 0..6)
      */
     void SetPriority(uint8_t priority);
 
     /**
-     * \brief Send a packet
+     * @brief Send a packet
      *
      * Either <i>Interval</i> and <i>MaxPackets</i> may be zero, but not both.  If <i>Interval</i>
      * is zero, the PacketSocketClient will send <i>MaxPackets</i> packets without any delay into
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-socket-factory.h ns-3.44/src/network/utils/packet-socket-factory.h
--- ns-3.43/src/network/utils/packet-socket-factory.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-socket-factory.h	2025-03-09 16:55:49.679372300 -0700
@@ -16,7 +16,7 @@
 class Socket;
 
 /**
- * \ingroup socket
+ * @ingroup socket
  *
  * This can be used as an interface in a node in order for the node to
  * generate PacketSockets that can connect to net devices.
@@ -25,8 +25,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -35,7 +35,7 @@
     /**
      * Creates a PacketSocket and returns a pointer to it.
      *
-     * \return a pointer to the created socket
+     * @return a pointer to the created socket
      */
     Ptr<Socket> CreateSocket() override;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-socket.h ns-3.44/src/network/utils/packet-socket.h
--- ns-3.43/src/network/utils/packet-socket.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-socket.h	2025-03-09 16:55:49.679372300 -0700
@@ -27,9 +27,9 @@
 class PacketSocketAddress;
 
 /**
- * \ingroup socket
+ * @ingroup socket
  *
- * \brief A PacketSocket is a link between an application and a net device.
+ * @brief A PacketSocket is a link between an application and a net device.
  *
  * A PacketSocket can be used to connect an application to a net
  * device. The application provides the buffers of data, the socket
@@ -76,16 +76,16 @@
  *
  * - DeviceNameTag:  contains the TypeId string of the relevant NetDevice
  *
- * \see class PacketSocketTag
- * \see class DeviceNameTag
+ * @see class PacketSocketTag
+ * @see class DeviceNameTag
  */
 
 class PacketSocket : public Socket
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -93,8 +93,8 @@
     ~PacketSocket() override;
 
     /**
-     * \brief Set the associated node.
-     * \param node the node
+     * @brief Set the associated node.
+     * @param node the node
      */
     void SetNode(Ptr<Node> node);
 
@@ -102,27 +102,27 @@
     SocketType GetSocketType() const override;
     Ptr<Node> GetNode() const override;
     /**
-     * \brief Bind the socket to the NetDevice and register the protocol handler.
+     * @brief Bind the socket to the NetDevice and register the protocol handler.
      *
-     * \warning this will actually bind protocol "0".
+     * @warning this will actually bind protocol "0".
      *
-     * \returns 0 on success, -1 on failure.
+     * @returns 0 on success, -1 on failure.
      */
     int Bind() override;
     /**
-     * \brief Bind the socket to the NetDevice and register the protocol handler.
+     * @brief Bind the socket to the NetDevice and register the protocol handler.
      *
-     * \warning this will actually bind protocol "0".
+     * @warning this will actually bind protocol "0".
      *
-     * \returns 0 on success, -1 on failure.
+     * @returns 0 on success, -1 on failure.
      */
     int Bind6() override;
     /**
-     * \brief Bind the socket to the NetDevice and register the
+     * @brief Bind the socket to the NetDevice and register the
      *        protocol handler specified in the address.
      *
-     * \param address the packet socket address
-     * \returns 0 on success, -1 on failure.
+     * @param address the packet socket address
+     * @returns 0 on success, -1 on failure.
      */
     int Bind(const Address& address) override;
     int Close() override;
@@ -143,14 +143,14 @@
 
   private:
     /**
-     * \brief Called by the L3 protocol when it received a packet to pass on to TCP.
+     * @brief Called by the L3 protocol when it received a packet to pass on to TCP.
      *
-     * \param device the incoming NetDevice
-     * \param packet the incoming packet
-     * \param protocol the protocol
-     * \param from sender address
-     * \param to destination address
-     * \param packetType packet type
+     * @param device the incoming NetDevice
+     * @param packet the incoming packet
+     * @param protocol the protocol
+     * @param from sender address
+     * @param to destination address
+     * @param packetType packet type
      */
     void ForwardUp(Ptr<NetDevice> device,
                    Ptr<const Packet> packet,
@@ -159,23 +159,23 @@
                    const Address& to,
                    NetDevice::PacketType packetType);
     /**
-     * \brief Bind the socket to the NetDevice and register the
+     * @brief Bind the socket to the NetDevice and register the
      *        protocol handler specified in the address.
-     * \param address the packet socket address
-     * \returns 0 on success, -1 on failure.
+     * @param address the packet socket address
+     * @returns 0 on success, -1 on failure.
      */
     int DoBind(const PacketSocketAddress& address);
 
     /**
-     * \brief Get the minimum MTU supported by the NetDevices bound to a specific address
-     * \param ad the socket address to check for
-     * \returns The minimum MTU
+     * @brief Get the minimum MTU supported by the NetDevices bound to a specific address
+     * @param ad the socket address to check for
+     * @returns The minimum MTU
      */
     uint32_t GetMinMtu(PacketSocketAddress ad) const;
     void DoDispose() override;
 
     /**
-     * \brief States of the socket
+     * @brief States of the socket
      */
     enum State
     {
@@ -206,7 +206,7 @@
 };
 
 /**
- * \brief  This class implements a tag that carries the dest address of a packet and the packet
+ * @brief  This class implements a tag that carries the dest address of a packet and the packet
  * type.
  */
 class PacketSocketTag : public Tag
@@ -238,8 +238,8 @@
     Address GetDestAddress() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -254,7 +254,7 @@
 };
 
 /**
- * \brief  This class implements a tag that carries the ns3 device name from where a packet is
+ * @brief  This class implements a tag that carries the ns3 device name from where a packet is
  * coming.
  */
 class DeviceNameTag : public Tag
@@ -275,8 +275,8 @@
      */
     std::string GetDeviceName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packet-socket-server.h ns-3.44/src/network/utils/packet-socket-server.h
--- ns-3.43/src/network/utils/packet-socket-server.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packet-socket-server.h	2025-03-09 16:55:49.679372300 -0700
@@ -23,9 +23,9 @@
 class Packet;
 
 /**
- * \ingroup socket
+ * @ingroup socket
  *
- * \brief A server using PacketSocket.
+ * @brief A server using PacketSocket.
  *
  * Receives packets using PacketSocket. It does not require (or use) IP.
  * The application has the same requirements as the PacketSocket for
@@ -38,8 +38,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -48,8 +48,8 @@
     ~PacketSocketServer() override;
 
     /**
-     * \brief set the local address and protocol to be used
-     * \param addr local address
+     * @brief set the local address and protocol to be used
+     * @param addr local address
      */
     void SetLocal(PacketSocketAddress addr);
 
@@ -61,8 +61,8 @@
     void StopApplication() override;
 
     /**
-     * \brief Handle a packet received by the application
-     * \param socket the receiving socket
+     * @brief Handle a packet received by the application
+     * @param socket the receiving socket
      */
     void HandleRead(Ptr<Socket> socket);
 
